Subject: Re: problems in running nmake from GNU make
From: Drew Moseley <[email-masked]>
To: [email-masked]
Date: Mon, 18 Oct 1999 09:44:24 -0400
Newsgroups: cygnus.gnu-win32

Tirumala R Bokka wrote:
> 
> Hi,
> 
> I'm facing a problem while I'm trying to run NMAKE from a GNU Makefile
> to build a subsystem. The makefile is recursively invoking nmake to build a
> subdirectory. I'm invoking nmake as follows:
>    cd dir1 && nmake -f template.mak
> Make invokes NMAKE, but NMAKE gives an error saying,
>    NMAKE : fatal error U1065: invalid option '-'
> 
> Running the same line from shell command line works fine.

I have seen this before.  What happens is that GNU make sets MAKEFLAGS
to "--unix"
automatically (or some similar version of that variable).  nmake also
reacts to the
MAKEFLAGS variable and it complains because it does not know the
"--unix" option.

The workaround I used was to create a batch file.  In the batch file,
explicitly clear
MAKEFLAGS and then call nmake.  Replace your call to nmake with a call
to the batch
file.

Good luck.

Drew

--
Want to unsubscribe from this list?
Send a message to [email-masked]